Subject: bug#49725: [PATCH] Unfontify previous location when overwriting bookmark

From: Christopher League <[email-masked]>
Date: Sun, 25 Jul 2021 10:18:43 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Thanks; looks good to me (and pushed to Emacs 28). Does this
> also fix the related bug#49645?

Oh, I missed that! Found the discussion from May, but not that
report a few days ago.

I think it must fix that, though Marius describes that the
highlighting gets stuck "when deleting bookmarks", which I think
was working before my patch, which only applies to overwrites.
>From what I can tell, the call to ‘bookmark--unfontify’ inside
‘bookmark-delete’ dates to 4 May, in the same commit when
‘bookmark-fontify’ option was introduced.

But maybe he was accumulating bookmarks due to overwrites and
misattributed it. I'll reply on that report to confirm.

CL